librelist archives

« back to archive

Let the fun begin: 1.9.2

Let the fun begin: 1.9.2

From:
Cecil Coupe
Date:
2010-09-10 @ 05:39
I've managed to get RVM to manage my rubies (1.9.1p396 and 1.9.2p0 and
the system default 1.8.7) and set up a scheme of directories with soft
links so that I can test the samples/ scripts in Policeman (1.9.1 and
1.9.2) without having to recompile shoes for every test between
versions.

Graphically Shoes(policeman/19.2)looks the same, FOR THE scripts that
run! simple-calc.rb works but classbook.rb fails in 1.9.2 on the last
statement with an "Unbound Method" in Shoes.App?  Same problem with one
of my scripts. I suspect that, once again the ruby scoping rules have
changed and Shoes isn't in sync.  

I also managed to trigger a Shoes/ruby thread dump under 1.9.2 so we
aren't out of the woods yet by kicking the thread-can down the road from
1.8.7 to 1.9.1 to 1.9.2

--cecil

Re: [shoes] Let the fun begin: 1.9.2

From:
ashbb
Date:
2010-09-10 @ 12:38
Hi Cecil,

Shall we start developing Shoes WalkAbout with Ruby 1.9.2? ;-)

ashbb

Re: [shoes] Let the fun begin: 1.9.2

From:
i5m
Date:
2010-09-12 @ 08:27
Sounds like a plan.
-----------------------
i5m.co.uk
GPG Key: 0xA18A602B


On Fri, Sep 10, 2010 at 1:38 PM, ashbb <ashbbb@gmail.com> wrote:

> Hi Cecil,
>
> Shall we start developing Shoes WalkAbout with Ruby 1.9.2? ;-)
>
> ashbb
>

Re: [shoes] Let the fun begin: 1.9.2

From:
Devyn Cairns
Date:
2010-09-15 @ 00:59
Arr!

On Fri, Sep 10, 2010 at 5:38 AM, ashbb <ashbbb@gmail.com> wrote:

> Hi Cecil,
>
> Shall we start developing Shoes WalkAbout with Ruby 1.9.2? ;-)
>
> ashbb
>



-- 
    ~devyn